Skip to main content
POST
/
admin
/
v0
/
members
Add member
curl --request POST \
  --url https://api.tightknit.ai/admin/v0/members \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "[email protected]",
  "full_name": "<string>",
  "avatar_url_original": "<string>"
}
'
{
  "message": "<string>",
  "data": {
    "member": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "[email protected]",
      "full_name": "<string>",
      "preferred_name": "<string>",
      "avatar_url_original": "<string>",
      "slack_profile_id": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tightknit.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email
string<email>
required
Required string length: 1 - 254
full_name
string
required
Required string length: 1 - 100
avatar_url_original
string<uri> | null
Maximum string length: 2048

Response

New member was created successfully.

success
enum<boolean>
required
Available options:
true
message
string
required
data
object
required